Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.faces.component.visit
Enum VisitResult

    java.lang.Object
      java.lang.Enum<VisitResult>
          javax.faces.component.visit.VisitResult

All Implemented Interfaces:
  Serializable, Comparable<VisitResult>

    public enum VisitResult

extends Enum<VisitResult>

An enum that specifies the possible results of a call to `VisitCallback.visit(javax.faces.component.visit.VisitContext, javax.faces.component.UIComponent)`.

Since:
  2.0
See Also:
  `VisitCallback.visit()`

Enum Constant Summary
`ACCEPT` This result indicates that the tree visit should descend into current component's subtree.
`COMPLETE` This result indicates that the tree visit should be terminated.
`REJECT` This result indicates that the tree visit should continue, but should skip the current component's subtree.

Method Summary
`static VisitResult` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VisitResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ACCEPT

    public static final VisitResult ACCEPT

  This result indicates that the tree visit should descend into current component's subtree.

  Since:
    2.0

### REJECT

    public static final VisitResult REJECT

  This result indicates that the tree visit should continue, but should skip the current component's subtree.

### COMPLETE

    public static final VisitResult COMPLETE

  This result indicates that the tree visit should be terminated.

Method Detail

### values

    public static VisitResult[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (VisitResult c : VisitResult.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static VisitResult valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2002-2009 Sun Microsystems, Inc. All Rights Reserved.